Loading...
Searching...
No Matches
out Struct Reference

Afficher l'ensemble des devis sur le maillonDevis. More...

## Detailed Description

Afficher l'ensemble des devis sur le maillonDevis.

Inserer le devis trié des devis.

Permet de trier la liste des Devis des devis.

Écrit un seul devis dans un fichier fichier dans lequel écrire.

Ajoute un successeur à une tâche spécifique tâche à laquelle ajouter un successeur.

Liberer la mémoire allouée pour le tableau de taches de pointeur de taches.

Liberer la mémoire allouée par la tache.

Liberer la mémoire allouée pour la liste de successeurs des seccesseur de la tache.

Liberer l'offre.

Lis un seul devis et le stock dans la structure Devis fichier à lire.

Charge les données des devis d'un fichier dans l'Offre tableau des travaux.

Afficher le devis des travaux sur le maillonDevis.

Parameters

  [in] | travaux | nom de l'entreprise
  [in] | fichier | Le fichier à lire
  [out] | *tLog | Taille logique

Returns
  0 Si tout s'est bien passé
  1 En cas d'erreur d'ouverture
  2 En cas d'en-tête invalide)

structure Devis dans laquelle stocker les données

type de travaux

logique

Parameters

  [in] | nbTaches | Nombres de Taches
  [in] | nomSucc | Le nom du successeur à ajouter
  [in] | *typeTravaux | Tableau de type de travaux

de devis

The documentation for this struct was generated from the following file:

- src/affichage.c